// Datei ColumnNumberReaderTst.java
/* ------------------------------------------------------------------------
Dieses Programm ColumnNumberReaderTst liest eine kleine Testdatei namens
ColumnNumberReaderTst.tmp mehrmals mit verschiedenen ColumnNumberReader-
Objekten ein und gibt die glesenen Zeichen (zusammen mit Zeilen- und
Spalten-Nrn) zur Standardausgabe aus. Die Datei ColumnNumberReaderTst.tmp
sollte z.B. folgenden Inhalt haben:

ABC
DE

------------------------------------------------------------------------ */
import java.io.FileReader;

class ColumnNumberReaderTst {
   // ---------------------------------------------------------------------
   static public void main(String[] _) throws Exception {
      printf("ColumnNumberReaderTst: Jetzt geht es los!%n");

      printf("-------------------%n");

      FileReader         frA = new FileReader("ColumnNumberReaderTst.tmp");
      ColumnNumberReader crA = new ColumnNumberReader(frA);

      while (true) {
         printf("(%2d, %2d) ", crA.getLineNumber(), crA.getColumnNumber());
         int  ci = crA.read();
         if  (ci == -1) break;
         char cc = (ci=='\n') ? '.' : (char) ci;
         printf("%c ", cc);
         printf("(%2d, %2d)%n", crA.getLineNumber(), crA.getColumnNumber());
      }
      crA.close();
      printf("%n-------------------%n");

      FileReader         frB = new FileReader("ColumnNumberReaderTst.tmp");
      ColumnNumberReader crB = new ColumnNumberReader(frB);
      crB.setLineNumber  (1);
      crB.setColumnNumber(1);

      while (true) {
         printf("(%2d, %2d) ", crB.getLineNumber(), crB.getColumnNumber());
         int  ci = crB.read();
         if  (ci == -1) break;
         char cc = (ci=='\n') ? '.' : (char) ci;
         printf("%c ", cc);
         printf("(%2d, %2d)%n", crB.getLineNumber(), crB.getColumnNumber());
      }
      printf("%n-------------------%n");

      FileReader         frC = new FileReader("ColumnNumberReaderTst.tmp");
      ColumnNumberReader crC = new ColumnNumberReader(frC);
      crC.setLineNumber  (10);
      crC.setColumnNumber(20);

      while (true) {
         printf("(%2d, %2d) ", crC.getLineNumber(), crC.getColumnNumber());
         int  ci = crC.read();
         if  (ci == -1) break;
         char cc = (ci=='\n') ? '.' : (char) ci;
         printf("%c ", cc);
         printf("(%2d, %2d)%n", crC.getLineNumber(), crC.getColumnNumber());
      }

      printf("%n-------------------%n");

      FileReader         frD = new FileReader("ColumnNumberReaderTst.tmp");
      ColumnNumberReader crD = new ColumnNumberReader(frD);

      while (true) {
         printf("(%2d, %2d) ", crD.getLineNumber(), crD.getColumnNumber());
         int  ci = crD.read();
         if  (ci == -1) break;
         char cc = (ci=='\n') ? '.' : (char) ci;
         printf("%c ", cc);
         printf("(%2d, %2d)%n", crD.getLineNumber(), crD.getColumnNumber());

         if (crD.getLineNumber()==0 && crD.getColumnNumber()==2) {
            crD.setLineNumber  (10);
            crD.setColumnNumber(20);
         }
      }
      printf("%n-------------------%n");

      printf("ColumnNumberReaderTst: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class ColumnNumberReaderTst
/* ------------------------------------------------------------------------
Ausgabe:

ColumnNumberReaderTst: Jetzt geht es los!
-------------------
( 0,  0) A ( 0,  1)
( 0,  1) B ( 0,  2)
( 0,  2) C ( 0,  3)
( 0,  3) . ( 1,  0)
( 1,  0) D ( 1,  1)
( 1,  1) E ( 1,  2)
( 1,  2) . ( 2,  0)
( 2,  0)
-------------------
( 1,  1) A ( 1,  2)
( 1,  2) B ( 1,  3)
( 1,  3) C ( 1,  4)
( 1,  4) . ( 2,  1)
( 2,  1) D ( 2,  2)
( 2,  2) E ( 2,  3)
( 2,  3) . ( 3,  1)
( 3,  1)
-------------------
(10, 20) A (10, 21)
(10, 21) B (10, 22)
(10, 22) C (10, 23)
(10, 23) . (11, 20)
(11, 20) D (11, 21)
(11, 21) E (11, 22)
(11, 22) . (12, 20)
(12, 20)
-------------------
( 0,  0) A ( 0,  1)
( 0,  1) B ( 0,  2)
(10, 22) C (10, 23)
(10, 23) . (11, 20)
(11, 20) D (11, 21)
(11, 21) E (11, 22)
(11, 22) . (12, 20)
(12, 20)
-------------------
ColumnNumberReaderTst: Das war's erstmal!
------------------------------------------------------------------------ */
