// Datei InWortenEsJut.java
/* ------------------------------------------------------------------------
Diese Klasse dient zum Testen einer Klasse, die vier Methoden mit den
folgenden Profilen enthaelt:

String inWorten_1_9  (int n)
String inWorten_10_19(int n)
String inWorten_20_90(int n)
String inWorten_0_999(int n)

Der Name der zu testenden Klasse wird durch die unveraenderliche Variable
KLASSEN_NAME festgelegt (normalerweise""InWortenEs", siehe unten).

Eine Reihung namens alleSollWerte am Ende dieser Datei enthaelt alle
spanischen Zahlworte fuer die Ganzzahlen von 0 bis 999.
---------------------------------------------------------------------------
Diese Klasse wurde mit dem Rahmenprogramm JUnit Version 3.8 erstellt.
Sie funktioniert *nicht* mit JUnit Version 4.0 oder spaeteren Versionen.

Diese Klasse kann man auf 2 Arten ausfuehren lassen:

1. Indem man das Programm InWortenEsJut aufruft (siehe die main-Methode).

2. Indem man in einem bash- oder DOS-Fenster das folgende Kommando eingibt:
> java junit.awtui.TestRunner InWortenEsJut
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.Arrays;
import java.lang.reflect.Method;

public class InWortenEsJut extends TestCase {
   // ---------------------------------------------------------------------
   // Der volle Name der zu testenden Klasse:
   private static final String KLASSEN_NAME = "InWortenEs";
   // ---------------------------------------------------------------------
   static public Test suite() {
      // Alle parameterlosen Prozeduren dieser Klasse, deren Namen mit
      // "test" beginnen, werden zu einem TestSuite-Objekt zusammengefasst
      // und als Ergebnis geliefert:
      return new TestSuite(InWortenEsJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test_inWorten_1_9() {
      final String METHODEN_NAME = "inWorten_1_9";

      try {
         Class<?> kob = Class.forName(KLASSEN_NAME);
         Method   met = kob.getMethod(METHODEN_NAME, Integer.TYPE);

         for (int n=1; n<=9; n++) {
            String ist = (String) met.invoke(null, n);
            assertEquals(alleSollWorte[n], ist);
         }

         // Ergebnisse bei falschen Parametern (0 und 10) werden getestet:
         String s1 = (String) met.invoke(null,  0);
         failWennNichtEnthaelt(s1, METHODEN_NAME);
         String s2 = (String) met.invoke(null, 10);
         failWennNichtEnthaelt(s2, METHODEN_NAME);
      } catch (Exception ex) {
         behandleAusnahmen(ex);
      }
   } // test_inWorten_1_9
   // ---------------------------------------------------------------------
   public void test_inWorten_10_19() {
      final String METHODEN_NAME = "inWorten_10_19";

      try {
         Class<?> kob = Class.forName(KLASSEN_NAME);
         Method   met = kob.getMethod(METHODEN_NAME, Integer.TYPE);

         for (int n=10; n<=19; n++) {
            String ist = (String) met.invoke(null, n);
            assertEquals(alleSollWorte[n], ist);
         }

         // Ergebnisse bei falschen Parametern (9 und 20) werden getestet:
         String s1 = (String) met.invoke(null,  9);
         failWennNichtEnthaelt(s1, METHODEN_NAME);
         String s2 = (String) met.invoke(null, 20);
         failWennNichtEnthaelt(s2, METHODEN_NAME);
      } catch (Exception ex) {
         behandleAusnahmen(ex);
      }
   } // test_inWorten_10_19
   // ---------------------------------------------------------------------
   public void test_inWorten_20_90() {
      final String METHODEN_NAME = "inWorten_20_90";

      try {
         Class<?> kob = Class.forName(KLASSEN_NAME);
         Method   met = kob.getMethod(METHODEN_NAME, Integer.TYPE);

         for (int n=2; n<=9; n++) {
            String ist = (String) met.invoke(null, n);
            assertEquals(alleSollWorte[n*10], ist);
         }

         // Ergebnisse bei falschen Parametern (1 und 10) werden getestet:
         String s1 = (String) met.invoke(null,  1);
         failWennNichtEnthaelt(s1, METHODEN_NAME);
         String s2 = (String) met.invoke(null, 10);
         failWennNichtEnthaelt(s2, METHODEN_NAME);
      } catch (Exception ex) {
         behandleAusnahmen(ex);
      }
   } // test_inWorten_20_90
   // ---------------------------------------------------------------------
   public void test_inWorten_0_999() {
      final String METHODEN_NAME = "inWorten_0_999";

      try {
         Class<?> kob = Class.forName(KLASSEN_NAME);
         Method   met = kob.getMethod(METHODEN_NAME, Integer.TYPE);

         for (int n=0; n<=999; n++) {
            String ist = (String) met.invoke(null, n);
            assertEquals(alleSollWorte[n], ist);
         }

         // Ergebnisse bei falschen Param. (-1 und 1000) werden getestet:
         String s1 = (String) met.invoke(null,  -1);
         failWennNichtEnthaelt(s1, METHODEN_NAME);
         String s2 = (String) met.invoke(null, 1000);
         failWennNichtEnthaelt(s2, METHODEN_NAME);
      } catch (Exception ex) {
         behandleAusnahmen(ex);
      }
   } // test_inWorten_0_999
   // ---------------------------------------------------------------------
   void behandleAusnahmen(Exception ex) {
      String msg = ex.getMessage();
      if (ex instanceof NoSuchMethodException) {
         String met = msg.substring(msg.lastIndexOf('.')+1);
         fail("Die Methode " + met + " muss noch implementiert werden!");
      } else if (ex instanceof ClassNotFoundException) {
         fail("Die Klasse "  + msg + " muss noch implementiert werden!");
      } else {
         throw new Error(ex);
      }
   } // behandleAusnahmen
   // ---------------------------------------------------------------------
   void failWennNichtEnthaelt(String s1, String s2) {
      // Prueft, ob der String s1 den String s2 enthaelt. Falls nicht,
      // wird die Methode fail (mit einer ausfuehrlichen Fehlermeldung als
      // Parameter) aufgerufen:
      if (s1.indexOf(s2) == -1) {
         fail("Fehlermeld. \"" + s1 + "\" enthaelt nicht \"" + s2 + "\"!");
      }
   } // failWennNichtEnthaelt
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      // Alle Testfaelle werden ausgefuehrt:
      junit.awtui.TestRunner.run(InWortenEsJut.class);
   } // main
   // ---------------------------------------------------------------------
   static String[] alleSollWorte = {
      "cero",
      "un",
      "dos",
      "tres",
      "cuatro",
      "cinco",
      "seis",
      "siete",
      "ocho",
      "nueve",
      "diez",
      "once",
      "doce",
      "trece",
      "catorce",
      "quince",
      "dieciseis",
      "diecisiete",
      "dieciocho",
      "diecinueve",
      "veinte",
      "veintiun",
      "veintidos",
      "veintitres",
      "veinticuatro",
      "veinticinco",
      "veintiseis",
      "veintisiete",
      "veintiocho",
      "veintinueve",
      "treinta",
      "treinta y un",
      "treinta y dos",
      "treinta y tres",
      "treinta y cuatro",
      "treinta y cinco",
      "treinta y seis",
      "treinta y siete",
      "treinta y ocho",
      "treinta y nueve",
      "cuarenta",
      "cuarenta y un",
      "cuarenta y dos",
      "cuarenta y tres",
      "cuarenta y cuatro",
      "cuarenta y cinco",
      "cuarenta y seis",
      "cuarenta y siete",
      "cuarenta y ocho",
      "cuarenta y nueve",
      "cincuenta",
      "cincuenta y un",
      "cincuenta y dos",
      "cincuenta y tres",
      "cincuenta y cuatro",
      "cincuenta y cinco",
      "cincuenta y seis",
      "cincuenta y siete",
      "cincuenta y ocho",
      "cincuenta y nueve",
      "sesenta",
      "sesenta y un",
      "sesenta y dos",
      "sesenta y tres",
      "sesenta y cuatro",
      "sesenta y cinco",
      "sesenta y seis",
      "sesenta y siete",
      "sesenta y ocho",
      "sesenta y nueve",
      "setenta",
      "setenta y un",
      "setenta y dos",
      "setenta y tres",
      "setenta y cuatro",
      "setenta y cinco",
      "setenta y seis",
      "setenta y siete",
      "setenta y ocho",
      "setenta y nueve",
      "ochenta",
      "ochenta y un",
      "ochenta y dos",
      "ochenta y tres",
      "ochenta y cuatro",
      "ochenta y cinco",
      "ochenta y seis",
      "ochenta y siete",
      "ochenta y ocho",
      "ochenta y nueve",
      "noventa",
      "noventa y un",
      "noventa y dos",
      "noventa y tres",
      "noventa y cuatro",
      "noventa y cinco",
      "noventa y seis",
      "noventa y siete",
      "noventa y ocho",
      "noventa y nueve",
      "cien",
      "ciento un",
      "ciento dos",
      "ciento tres",
      "ciento cuatro",
      "ciento cinco",
      "ciento seis",
      "ciento siete",
      "ciento ocho",
      "ciento nueve",
      "ciento diez",
      "ciento once",
      "ciento doce",
      "ciento trece",
      "ciento catorce",
      "ciento quince",
      "ciento dieciseis",
      "ciento diecisiete",
      "ciento dieciocho",
      "ciento diecinueve",
      "ciento veinte",
      "ciento veintiun",
      "ciento veintidos",
      "ciento veintitres",
      "ciento veinticuatro",
      "ciento veinticinco",
      "ciento veintiseis",
      "ciento veintisiete",
      "ciento veintiocho",
      "ciento veintinueve",
      "ciento treinta",
      "ciento treinta y un",
      "ciento treinta y dos",
      "ciento treinta y tres",
      "ciento treinta y cuatro",
      "ciento treinta y cinco",
      "ciento treinta y seis",
      "ciento treinta y siete",
      "ciento treinta y ocho",
      "ciento treinta y nueve",
      "ciento cuarenta",
      "ciento cuarenta y un",
      "ciento cuarenta y dos",
      "ciento cuarenta y tres",
      "ciento cuarenta y cuatro",
      "ciento cuarenta y cinco",
      "ciento cuarenta y seis",
      "ciento cuarenta y siete",
      "ciento cuarenta y ocho",
      "ciento cuarenta y nueve",
      "ciento cincuenta",
      "ciento cincuenta y un",
      "ciento cincuenta y dos",
      "ciento cincuenta y tres",
      "ciento cincuenta y cuatro",
      "ciento cincuenta y cinco",
      "ciento cincuenta y seis",
      "ciento cincuenta y siete",
      "ciento cincuenta y ocho",
      "ciento cincuenta y nueve",
      "ciento sesenta",
      "ciento sesenta y un",
      "ciento sesenta y dos",
      "ciento sesenta y tres",
      "ciento sesenta y cuatro",
      "ciento sesenta y cinco",
      "ciento sesenta y seis",
      "ciento sesenta y siete",
      "ciento sesenta y ocho",
      "ciento sesenta y nueve",
      "ciento setenta",
      "ciento setenta y un",
      "ciento setenta y dos",
      "ciento setenta y tres",
      "ciento setenta y cuatro",
      "ciento setenta y cinco",
      "ciento setenta y seis",
      "ciento setenta y siete",
      "ciento setenta y ocho",
      "ciento setenta y nueve",
      "ciento ochenta",
      "ciento ochenta y un",
      "ciento ochenta y dos",
      "ciento ochenta y tres",
      "ciento ochenta y cuatro",
      "ciento ochenta y cinco",
      "ciento ochenta y seis",
      "ciento ochenta y siete",
      "ciento ochenta y ocho",
      "ciento ochenta y nueve",
      "ciento noventa",
      "ciento noventa y un",
      "ciento noventa y dos",
      "ciento noventa y tres",
      "ciento noventa y cuatro",
      "ciento noventa y cinco",
      "ciento noventa y seis",
      "ciento noventa y siete",
      "ciento noventa y ocho",
      "ciento noventa y nueve",
      "doscientos",
      "doscientos un",
      "doscientos dos",
      "doscientos tres",
      "doscientos cuatro",
      "doscientos cinco",
      "doscientos seis",
      "doscientos siete",
      "doscientos ocho",
      "doscientos nueve",
      "doscientos diez",
      "doscientos once",
      "doscientos doce",
      "doscientos trece",
      "doscientos catorce",
      "doscientos quince",
      "doscientos dieciseis",
      "doscientos diecisiete",
      "doscientos dieciocho",
      "doscientos diecinueve",
      "doscientos veinte",
      "doscientos veintiun",
      "doscientos veintidos",
      "doscientos veintitres",
      "doscientos veinticuatro",
      "doscientos veinticinco",
      "doscientos veintiseis",
      "doscientos veintisiete",
      "doscientos veintiocho",
      "doscientos veintinueve",
      "doscientos treinta",
      "doscientos treinta y un",
      "doscientos treinta y dos",
      "doscientos treinta y tres",
      "doscientos treinta y cuatro",
      "doscientos treinta y cinco",
      "doscientos treinta y seis",
      "doscientos treinta y siete",
      "doscientos treinta y ocho",
      "doscientos treinta y nueve",
      "doscientos cuarenta",
      "doscientos cuarenta y un",
      "doscientos cuarenta y dos",
      "doscientos cuarenta y tres",
      "doscientos cuarenta y cuatro",
      "doscientos cuarenta y cinco",
      "doscientos cuarenta y seis",
      "doscientos cuarenta y siete",
      "doscientos cuarenta y ocho",
      "doscientos cuarenta y nueve",
      "doscientos cincuenta",
      "doscientos cincuenta y un",
      "doscientos cincuenta y dos",
      "doscientos cincuenta y tres",
      "doscientos cincuenta y cuatro",
      "doscientos cincuenta y cinco",
      "doscientos cincuenta y seis",
      "doscientos cincuenta y siete",
      "doscientos cincuenta y ocho",
      "doscientos cincuenta y nueve",
      "doscientos sesenta",
      "doscientos sesenta y un",
      "doscientos sesenta y dos",
      "doscientos sesenta y tres",
      "doscientos sesenta y cuatro",
      "doscientos sesenta y cinco",
      "doscientos sesenta y seis",
      "doscientos sesenta y siete",
      "doscientos sesenta y ocho",
      "doscientos sesenta y nueve",
      "doscientos setenta",
      "doscientos setenta y un",
      "doscientos setenta y dos",
      "doscientos setenta y tres",
      "doscientos setenta y cuatro",
      "doscientos setenta y cinco",
      "doscientos setenta y seis",
      "doscientos setenta y siete",
      "doscientos setenta y ocho",
      "doscientos setenta y nueve",
      "doscientos ochenta",
      "doscientos ochenta y un",
      "doscientos ochenta y dos",
      "doscientos ochenta y tres",
      "doscientos ochenta y cuatro",
      "doscientos ochenta y cinco",
      "doscientos ochenta y seis",
      "doscientos ochenta y siete",
      "doscientos ochenta y ocho",
      "doscientos ochenta y nueve",
      "doscientos noventa",
      "doscientos noventa y un",
      "doscientos noventa y dos",
      "doscientos noventa y tres",
      "doscientos noventa y cuatro",
      "doscientos noventa y cinco",
      "doscientos noventa y seis",
      "doscientos noventa y siete",
      "doscientos noventa y ocho",
      "doscientos noventa y nueve",
      "trescientos",
      "trescientos un",
      "trescientos dos",
      "trescientos tres",
      "trescientos cuatro",
      "trescientos cinco",
      "trescientos seis",
      "trescientos siete",
      "trescientos ocho",
      "trescientos nueve",
      "trescientos diez",
      "trescientos once",
      "trescientos doce",
      "trescientos trece",
      "trescientos catorce",
      "trescientos quince",
      "trescientos dieciseis",
      "trescientos diecisiete",
      "trescientos dieciocho",
      "trescientos diecinueve",
      "trescientos veinte",
      "trescientos veintiun",
      "trescientos veintidos",
      "trescientos veintitres",
      "trescientos veinticuatro",
      "trescientos veinticinco",
      "trescientos veintiseis",
      "trescientos veintisiete",
      "trescientos veintiocho",
      "trescientos veintinueve",
      "trescientos treinta",
      "trescientos treinta y un",
      "trescientos treinta y dos",
      "trescientos treinta y tres",
      "trescientos treinta y cuatro",
      "trescientos treinta y cinco",
      "trescientos treinta y seis",
      "trescientos treinta y siete",
      "trescientos treinta y ocho",
      "trescientos treinta y nueve",
      "trescientos cuarenta",
      "trescientos cuarenta y un",
      "trescientos cuarenta y dos",
      "trescientos cuarenta y tres",
      "trescientos cuarenta y cuatro",
      "trescientos cuarenta y cinco",
      "trescientos cuarenta y seis",
      "trescientos cuarenta y siete",
      "trescientos cuarenta y ocho",
      "trescientos cuarenta y nueve",
      "trescientos cincuenta",
      "trescientos cincuenta y un",
      "trescientos cincuenta y dos",
      "trescientos cincuenta y tres",
      "trescientos cincuenta y cuatro",
      "trescientos cincuenta y cinco",
      "trescientos cincuenta y seis",
      "trescientos cincuenta y siete",
      "trescientos cincuenta y ocho",
      "trescientos cincuenta y nueve",
      "trescientos sesenta",
      "trescientos sesenta y un",
      "trescientos sesenta y dos",
      "trescientos sesenta y tres",
      "trescientos sesenta y cuatro",
      "trescientos sesenta y cinco",
      "trescientos sesenta y seis",
      "trescientos sesenta y siete",
      "trescientos sesenta y ocho",
      "trescientos sesenta y nueve",
      "trescientos setenta",
      "trescientos setenta y un",
      "trescientos setenta y dos",
      "trescientos setenta y tres",
      "trescientos setenta y cuatro",
      "trescientos setenta y cinco",
      "trescientos setenta y seis",
      "trescientos setenta y siete",
      "trescientos setenta y ocho",
      "trescientos setenta y nueve",
      "trescientos ochenta",
      "trescientos ochenta y un",
      "trescientos ochenta y dos",
      "trescientos ochenta y tres",
      "trescientos ochenta y cuatro",
      "trescientos ochenta y cinco",
      "trescientos ochenta y seis",
      "trescientos ochenta y siete",
      "trescientos ochenta y ocho",
      "trescientos ochenta y nueve",
      "trescientos noventa",
      "trescientos noventa y un",
      "trescientos noventa y dos",
      "trescientos noventa y tres",
      "trescientos noventa y cuatro",
      "trescientos noventa y cinco",
      "trescientos noventa y seis",
      "trescientos noventa y siete",
      "trescientos noventa y ocho",
      "trescientos noventa y nueve",
      "cuatrocientos",
      "cuatrocientos un",
      "cuatrocientos dos",
      "cuatrocientos tres",
      "cuatrocientos cuatro",
      "cuatrocientos cinco",
      "cuatrocientos seis",
      "cuatrocientos siete",
      "cuatrocientos ocho",
      "cuatrocientos nueve",
      "cuatrocientos diez",
      "cuatrocientos once",
      "cuatrocientos doce",
      "cuatrocientos trece",
      "cuatrocientos catorce",
      "cuatrocientos quince",
      "cuatrocientos dieciseis",
      "cuatrocientos diecisiete",
      "cuatrocientos dieciocho",
      "cuatrocientos diecinueve",
      "cuatrocientos veinte",
      "cuatrocientos veintiun",
      "cuatrocientos veintidos",
      "cuatrocientos veintitres",
      "cuatrocientos veinticuatro",
      "cuatrocientos veinticinco",
      "cuatrocientos veintiseis",
      "cuatrocientos veintisiete",
      "cuatrocientos veintiocho",
      "cuatrocientos veintinueve",
      "cuatrocientos treinta",
      "cuatrocientos treinta y un",
      "cuatrocientos treinta y dos",
      "cuatrocientos treinta y tres",
      "cuatrocientos treinta y cuatro",
      "cuatrocientos treinta y cinco",
      "cuatrocientos treinta y seis",
      "cuatrocientos treinta y siete",
      "cuatrocientos treinta y ocho",
      "cuatrocientos treinta y nueve",
      "cuatrocientos cuarenta",
      "cuatrocientos cuarenta y un",
      "cuatrocientos cuarenta y dos",
      "cuatrocientos cuarenta y tres",
      "cuatrocientos cuarenta y cuatro",
      "cuatrocientos cuarenta y cinco",
      "cuatrocientos cuarenta y seis",
      "cuatrocientos cuarenta y siete",
      "cuatrocientos cuarenta y ocho",
      "cuatrocientos cuarenta y nueve",
      "cuatrocientos cincuenta",
      "cuatrocientos cincuenta y un",
      "cuatrocientos cincuenta y dos",
      "cuatrocientos cincuenta y tres",
      "cuatrocientos cincuenta y cuatro",
      "cuatrocientos cincuenta y cinco",
      "cuatrocientos cincuenta y seis",
      "cuatrocientos cincuenta y siete",
      "cuatrocientos cincuenta y ocho",
      "cuatrocientos cincuenta y nueve",
      "cuatrocientos sesenta",
      "cuatrocientos sesenta y un",
      "cuatrocientos sesenta y dos",
      "cuatrocientos sesenta y tres",
      "cuatrocientos sesenta y cuatro",
      "cuatrocientos sesenta y cinco",
      "cuatrocientos sesenta y seis",
      "cuatrocientos sesenta y siete",
      "cuatrocientos sesenta y ocho",
      "cuatrocientos sesenta y nueve",
      "cuatrocientos setenta",
      "cuatrocientos setenta y un",
      "cuatrocientos setenta y dos",
      "cuatrocientos setenta y tres",
      "cuatrocientos setenta y cuatro",
      "cuatrocientos setenta y cinco",
      "cuatrocientos setenta y seis",
      "cuatrocientos setenta y siete",
      "cuatrocientos setenta y ocho",
      "cuatrocientos setenta y nueve",
      "cuatrocientos ochenta",
      "cuatrocientos ochenta y un",
      "cuatrocientos ochenta y dos",
      "cuatrocientos ochenta y tres",
      "cuatrocientos ochenta y cuatro",
      "cuatrocientos ochenta y cinco",
      "cuatrocientos ochenta y seis",
      "cuatrocientos ochenta y siete",
      "cuatrocientos ochenta y ocho",
      "cuatrocientos ochenta y nueve",
      "cuatrocientos noventa",
      "cuatrocientos noventa y un",
      "cuatrocientos noventa y dos",
      "cuatrocientos noventa y tres",
      "cuatrocientos noventa y cuatro",
      "cuatrocientos noventa y cinco",
      "cuatrocientos noventa y seis",
      "cuatrocientos noventa y siete",
      "cuatrocientos noventa y ocho",
      "cuatrocientos noventa y nueve",
      "quinientos",
      "quinientos un",
      "quinientos dos",
      "quinientos tres",
      "quinientos cuatro",
      "quinientos cinco",
      "quinientos seis",
      "quinientos siete",
      "quinientos ocho",
      "quinientos nueve",
      "quinientos diez",
      "quinientos once",
      "quinientos doce",
      "quinientos trece",
      "quinientos catorce",
      "quinientos quince",
      "quinientos dieciseis",
      "quinientos diecisiete",
      "quinientos dieciocho",
      "quinientos diecinueve",
      "quinientos veinte",
      "quinientos veintiun",
      "quinientos veintidos",
      "quinientos veintitres",
      "quinientos veinticuatro",
      "quinientos veinticinco",
      "quinientos veintiseis",
      "quinientos veintisiete",
      "quinientos veintiocho",
      "quinientos veintinueve",
      "quinientos treinta",
      "quinientos treinta y un",
      "quinientos treinta y dos",
      "quinientos treinta y tres",
      "quinientos treinta y cuatro",
      "quinientos treinta y cinco",
      "quinientos treinta y seis",
      "quinientos treinta y siete",
      "quinientos treinta y ocho",
      "quinientos treinta y nueve",
      "quinientos cuarenta",
      "quinientos cuarenta y un",
      "quinientos cuarenta y dos",
      "quinientos cuarenta y tres",
      "quinientos cuarenta y cuatro",
      "quinientos cuarenta y cinco",
      "quinientos cuarenta y seis",
      "quinientos cuarenta y siete",
      "quinientos cuarenta y ocho",
      "quinientos cuarenta y nueve",
      "quinientos cincuenta",
      "quinientos cincuenta y un",
      "quinientos cincuenta y dos",
      "quinientos cincuenta y tres",
      "quinientos cincuenta y cuatro",
      "quinientos cincuenta y cinco",
      "quinientos cincuenta y seis",
      "quinientos cincuenta y siete",
      "quinientos cincuenta y ocho",
      "quinientos cincuenta y nueve",
      "quinientos sesenta",
      "quinientos sesenta y un",
      "quinientos sesenta y dos",
      "quinientos sesenta y tres",
      "quinientos sesenta y cuatro",
      "quinientos sesenta y cinco",
      "quinientos sesenta y seis",
      "quinientos sesenta y siete",
      "quinientos sesenta y ocho",
      "quinientos sesenta y nueve",
      "quinientos setenta",
      "quinientos setenta y un",
      "quinientos setenta y dos",
      "quinientos setenta y tres",
      "quinientos setenta y cuatro",
      "quinientos setenta y cinco",
      "quinientos setenta y seis",
      "quinientos setenta y siete",
      "quinientos setenta y ocho",
      "quinientos setenta y nueve",
      "quinientos ochenta",
      "quinientos ochenta y un",
      "quinientos ochenta y dos",
      "quinientos ochenta y tres",
      "quinientos ochenta y cuatro",
      "quinientos ochenta y cinco",
      "quinientos ochenta y seis",
      "quinientos ochenta y siete",
      "quinientos ochenta y ocho",
      "quinientos ochenta y nueve",
      "quinientos noventa",
      "quinientos noventa y un",
      "quinientos noventa y dos",
      "quinientos noventa y tres",
      "quinientos noventa y cuatro",
      "quinientos noventa y cinco",
      "quinientos noventa y seis",
      "quinientos noventa y siete",
      "quinientos noventa y ocho",
      "quinientos noventa y nueve",
      "seiscientos",
      "seiscientos un",
      "seiscientos dos",
      "seiscientos tres",
      "seiscientos cuatro",
      "seiscientos cinco",
      "seiscientos seis",
      "seiscientos siete",
      "seiscientos ocho",
      "seiscientos nueve",
      "seiscientos diez",
      "seiscientos once",
      "seiscientos doce",
      "seiscientos trece",
      "seiscientos catorce",
      "seiscientos quince",
      "seiscientos dieciseis",
      "seiscientos diecisiete",
      "seiscientos dieciocho",
      "seiscientos diecinueve",
      "seiscientos veinte",
      "seiscientos veintiun",
      "seiscientos veintidos",
      "seiscientos veintitres",
      "seiscientos veinticuatro",
      "seiscientos veinticinco",
      "seiscientos veintiseis",
      "seiscientos veintisiete",
      "seiscientos veintiocho",
      "seiscientos veintinueve",
      "seiscientos treinta",
      "seiscientos treinta y un",
      "seiscientos treinta y dos",
      "seiscientos treinta y tres",
      "seiscientos treinta y cuatro",
      "seiscientos treinta y cinco",
      "seiscientos treinta y seis",
      "seiscientos treinta y siete",
      "seiscientos treinta y ocho",
      "seiscientos treinta y nueve",
      "seiscientos cuarenta",
      "seiscientos cuarenta y un",
      "seiscientos cuarenta y dos",
      "seiscientos cuarenta y tres",
      "seiscientos cuarenta y cuatro",
      "seiscientos cuarenta y cinco",
      "seiscientos cuarenta y seis",
      "seiscientos cuarenta y siete",
      "seiscientos cuarenta y ocho",
      "seiscientos cuarenta y nueve",
      "seiscientos cincuenta",
      "seiscientos cincuenta y un",
      "seiscientos cincuenta y dos",
      "seiscientos cincuenta y tres",
      "seiscientos cincuenta y cuatro",
      "seiscientos cincuenta y cinco",
      "seiscientos cincuenta y seis",
      "seiscientos cincuenta y siete",
      "seiscientos cincuenta y ocho",
      "seiscientos cincuenta y nueve",
      "seiscientos sesenta",
      "seiscientos sesenta y un",
      "seiscientos sesenta y dos",
      "seiscientos sesenta y tres",
      "seiscientos sesenta y cuatro",
      "seiscientos sesenta y cinco",
      "seiscientos sesenta y seis",
      "seiscientos sesenta y siete",
      "seiscientos sesenta y ocho",
      "seiscientos sesenta y nueve",
      "seiscientos setenta",
      "seiscientos setenta y un",
      "seiscientos setenta y dos",
      "seiscientos setenta y tres",
      "seiscientos setenta y cuatro",
      "seiscientos setenta y cinco",
      "seiscientos setenta y seis",
      "seiscientos setenta y siete",
      "seiscientos setenta y ocho",
      "seiscientos setenta y nueve",
      "seiscientos ochenta",
      "seiscientos ochenta y un",
      "seiscientos ochenta y dos",
      "seiscientos ochenta y tres",
      "seiscientos ochenta y cuatro",
      "seiscientos ochenta y cinco",
      "seiscientos ochenta y seis",
      "seiscientos ochenta y siete",
      "seiscientos ochenta y ocho",
      "seiscientos ochenta y nueve",
      "seiscientos noventa",
      "seiscientos noventa y un",
      "seiscientos noventa y dos",
      "seiscientos noventa y tres",
      "seiscientos noventa y cuatro",
      "seiscientos noventa y cinco",
      "seiscientos noventa y seis",
      "seiscientos noventa y siete",
      "seiscientos noventa y ocho",
      "seiscientos noventa y nueve",
      "sietecientos",
      "sietecientos un",
      "sietecientos dos",
      "sietecientos tres",
      "sietecientos cuatro",
      "sietecientos cinco",
      "sietecientos seis",
      "sietecientos siete",
      "sietecientos ocho",
      "sietecientos nueve",
      "sietecientos diez",
      "sietecientos once",
      "sietecientos doce",
      "sietecientos trece",
      "sietecientos catorce",
      "sietecientos quince",
      "sietecientos dieciseis",
      "sietecientos diecisiete",
      "sietecientos dieciocho",
      "sietecientos diecinueve",
      "sietecientos veinte",
      "sieticientos veintiun",
      "sieticientos veintidos",
      "sieticientos veintitres",
      "sieticientos veinticuatro",
      "sieticientos veinticinco",
      "sieticientos veintiseis",
      "sieticientos veintisiete",
      "sieticientos veintiocho",
      "sieticientos veintinueve",
      "sietecientos treinta",
      "sietecientos treinta y un",
      "sietecientos treinta y dos",
      "sietecientos treinta y tres",
      "sietecientos treinta y cuatro",
      "sietecientos treinta y cinco",
      "sietecientos treinta y seis",
      "sietecientos treinta y siete",
      "sietecientos treinta y ocho",
      "sietecientos treinta y nueve",
      "sietecientos cuarenta",
      "sietecientos cuarenta y un",
      "sietecientos cuarenta y dos",
      "sietecientos cuarenta y tres",
      "sietecientos cuarenta y cuatro",
      "sietecientos cuarenta y cinco",
      "sietecientos cuarenta y seis",
      "sietecientos cuarenta y siete",
      "sietecientos cuarenta y ocho",
      "sietecientos cuarenta y nueve",
      "sietecientos cincuenta",
      "sietecientos cincuenta y un",
      "sietecientos cincuenta y dos",
      "sietecientos cincuenta y tres",
      "sietecientos cincuenta y cuatro",
      "sietecientos cincuenta y cinco",
      "sietecientos cincuenta y seis",
      "sietecientos cincuenta y siete",
      "sietecientos cincuenta y ocho",
      "sietecientos cincuenta y nueve",
      "sietecientos sesenta",
      "sietecientos sesenta y un",
      "sietecientos sesenta y dos",
      "sietecientos sesenta y tres",
      "sietecientos sesenta y cuatro",
      "sietecientos sesenta y cinco",
      "sietecientos sesenta y seis",
      "sietecientos sesenta y siete",
      "sietecientos sesenta y ocho",
      "sietecientos sesenta y nueve",
      "sietecientos setenta",
      "sietecientos setenta y un",
      "sietecientos setenta y dos",
      "sietecientos setenta y tres",
      "sietecientos setenta y cuatro",
      "sietecientos setenta y cinco",
      "sietecientos setenta y seis",
      "sietecientos setenta y siete",
      "sietecientos setenta y ocho",
      "sietecientos setenta y nueve",
      "sietecientos ochenta",
      "sietecientos ochenta y un",
      "sietecientos ochenta y dos",
      "sietecientos ochenta y tres",
      "sietecientos ochenta y cuatro",
      "sietecientos ochenta y cinco",
      "sietecientos ochenta y seis",
      "sietecientos ochenta y siete",
      "sietecientos ochenta y ocho",
      "sietecientos ochenta y nueve",
      "sietecientos noventa",
      "sietecientos noventa y un",
      "sietecientos noventa y dos",
      "sietecientos noventa y tres",
      "sietecientos noventa y cuatro",
      "sietecientos noventa y cinco",
      "sietecientos noventa y seis",
      "sietecientos noventa y siete",
      "sietecientos noventa y ocho",
      "sietecientos noventa y nueve",
      "ochocientos",
      "ochocientos un",
      "ochocientos dos",
      "ochocientos tres",
      "ochocientos cuatro",
      "ochocientos cinco",
      "ochocientos seis",
      "ochocientos siete",
      "ochocientos ocho",
      "ochocientos nueve",
      "ochocientos diez",
      "ochocientos once",
      "ochocientos doce",
      "ochocientos trece",
      "ochocientos catorce",
      "ochocientos quince",
      "ochocientos dieciseis",
      "ochocientos diecisiete",
      "ochocientos dieciocho",
      "ochocientos diecinueve",
      "ochocientos veinte",
      "ochocientos veintiun",
      "ochocientos veintidos",
      "ochocientos veintitres",
      "ochocientos veinticuatro",
      "ochocientos veinticinco",
      "ochocientos veintiseis",
      "ochocientos veintisiete",
      "ochocientos veintiocho",
      "ochocientos veintinueve",
      "ochocientos treinta",
      "ochocientos treinta y un",
      "ochocientos treinta y dos",
      "ochocientos treinta y tres",
      "ochocientos treinta y cuatro",
      "ochocientos treinta y cinco",
      "ochocientos treinta y seis",
      "ochocientos treinta y siete",
      "ochocientos treinta y ocho",
      "ochocientos treinta y nueve",
      "ochocientos cuarenta",
      "ochocientos cuarenta y un",
      "ochocientos cuarenta y dos",
      "ochocientos cuarenta y tres",
      "ochocientos cuarenta y cuatro",
      "ochocientos cuarenta y cinco",
      "ochocientos cuarenta y seis",
      "ochocientos cuarenta y siete",
      "ochocientos cuarenta y ocho",
      "ochocientos cuarenta y nueve",
      "ochocientos cincuenta",
      "ochocientos cincuenta y un",
      "ochocientos cincuenta y dos",
      "ochocientos cincuenta y tres",
      "ochocientos cincuenta y cuatro",
      "ochocientos cincuenta y cinco",
      "ochocientos cincuenta y seis",
      "ochocientos cincuenta y siete",
      "ochocientos cincuenta y ocho",
      "ochocientos cincuenta y nueve",
      "ochocientos sesenta",
      "ochocientos sesenta y un",
      "ochocientos sesenta y dos",
      "ochocientos sesenta y tres",
      "ochocientos sesenta y cuatro",
      "ochocientos sesenta y cinco",
      "ochocientos sesenta y seis",
      "ochocientos sesenta y siete",
      "ochocientos sesenta y ocho",
      "ochocientos sesenta y nueve",
      "ochocientos setenta",
      "ochocientos setenta y un",
      "ochocientos setenta y dos",
      "ochocientos setenta y tres",
      "ochocientos setenta y cuatro",
      "ochocientos setenta y cinco",
      "ochocientos setenta y seis",
      "ochocientos setenta y siete",
      "ochocientos setenta y ocho",
      "ochocientos setenta y nueve",
      "ochocientos ochenta",
      "ochocientos ochenta y un",
      "ochocientos ochenta y dos",
      "ochocientos ochenta y tres",
      "ochocientos ochenta y cuatro",
      "ochocientos ochenta y cinco",
      "ochocientos ochenta y seis",
      "ochocientos ochenta y siete",
      "ochocientos ochenta y ocho",
      "ochocientos ochenta y nueve",
      "ochocientos noventa",
      "ochocientos noventa y un",
      "ochocientos noventa y dos",
      "ochocientos noventa y tres",
      "ochocientos noventa y cuatro",
      "ochocientos noventa y cinco",
      "ochocientos noventa y seis",
      "ochocientos noventa y siete",
      "ochocientos noventa y ocho",
      "ochocientos noventa y nueve",
      "novecientos",
      "novecientos un",
      "novecientos dos",
      "novecientos tres",
      "novecientos cuatro",
      "novecientos cinco",
      "novecientos seis",
      "novecientos siete",
      "novecientos ocho",
      "novecientos nueve",
      "novecientos diez",
      "novecientos once",
      "novecientos doce",
      "novecientos trece",
      "novecientos catorce",
      "novecientos quince",
      "novecientos dieciseis",
      "novecientos diecisiete",
      "novecientos dieciocho",
      "novecientos diecinueve",
      "novecientos veinte",
      "novecientos veintiun",
      "novecientos veintidos",
      "novecientos veintitres",
      "novecientos veinticuatro",
      "novecientos veinticinco",
      "novecientos veintiseis",
      "novecientos veintisiete",
      "novecientos veintiocho",
      "novecientos veintinueve",
      "novecientos treinta",
      "novecientos treinta y un",
      "novecientos treinta y dos",
      "novecientos treinta y tres",
      "novecientos treinta y cuatro",
      "novecientos treinta y cinco",
      "novecientos treinta y seis",
      "novecientos treinta y siete",
      "novecientos treinta y ocho",
      "novecientos treinta y nueve",
      "novecientos cuarenta",
      "novecientos cuarenta y un",
      "novecientos cuarenta y dos",
      "novecientos cuarenta y tres",
      "novecientos cuarenta y cuatro",
      "novecientos cuarenta y cinco",
      "novecientos cuarenta y seis",
      "novecientos cuarenta y siete",
      "novecientos cuarenta y ocho",
      "novecientos cuarenta y nueve",
      "novecientos cincuenta",
      "novecientos cincuenta y un",
      "novecientos cincuenta y dos",
      "novecientos cincuenta y tres",
      "novecientos cincuenta y cuatro",
      "novecientos cincuenta y cinco",
      "novecientos cincuenta y seis",
      "novecientos cincuenta y siete",
      "novecientos cincuenta y ocho",
      "novecientos cincuenta y nueve",
      "novecientos sesenta",
      "novecientos sesenta y un",
      "novecientos sesenta y dos",
      "novecientos sesenta y tres",
      "novecientos sesenta y cuatro",
      "novecientos sesenta y cinco",
      "novecientos sesenta y seis",
      "novecientos sesenta y siete",
      "novecientos sesenta y ocho",
      "novecientos sesenta y nueve",
      "novecientos setenta",
      "novecientos setenta y un",
      "novecientos setenta y dos",
      "novecientos setenta y tres",
      "novecientos setenta y cuatro",
      "novecientos setenta y cinco",
      "novecientos setenta y seis",
      "novecientos setenta y siete",
      "novecientos setenta y ocho",
      "novecientos setenta y nueve",
      "novecientos ochenta",
      "novecientos ochenta y un",
      "novecientos ochenta y dos",
      "novecientos ochenta y tres",
      "novecientos ochenta y cuatro",
      "novecientos ochenta y cinco",
      "novecientos ochenta y seis",
      "novecientos ochenta y siete",
      "novecientos ochenta y ocho",
      "novecientos ochenta y nueve",
      "novecientos noventa",
      "novecientos noventa y un",
      "novecientos noventa y dos",
      "novecientos noventa y tres",
      "novecientos noventa y cuatro",
      "novecientos noventa y cinco",
      "novecientos noventa y seis",
      "novecientos noventa y siete",
      "novecientos noventa y ocho",
      "novecientos noventa y nueve",
   }; // alleSollWorte
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
} // class InWortenEsJut
