// Datei KlammernPruefen.java
/* ------------------------------------------------------------------------
Mit einem Objekt dieser Klasse kann man pruefen, ob in einem Text alle
Klammern "richtig gepaart sind". Der Text muss durch ein Objekt des Typs
ColumnNumberReader repraesentiert werden.
------------------------------------------------------------------------ */
import java.io  .IOException;
import java.io  .FileReader;
import java.util.Stack;
import java.util.EmptyStackException;
import java.util.Formatter;

public class KlammernPruefen {
   // ---------------------------------------------------------------------
   // Hier ist ein guter Ort, um alle benoetigten Attribute zu vereinbaren:

   // HIER SOLLTEN EIN PAAR VEREINBARUNGEN EINGEFUEGT WERDEN

   // ---------------------------------------------------------------------
   public Ergebnis pruefeKlammern(ColumnNumberReader colReader) {
      // Liest den durch den colReader repraesentierten Text und prueft,
      // ob darin alle Klammern richtig gepaart sind. Liefert als Ergebnis
      // ein Objekt einer inneren Klasse Ergebnis (s.u.).

      return null; // SOLLTE ERSETZT WERDEN

   } // pruefeKlammern
   // ---------------------------------------------------------------------
   // Eine kleine Klassen-Hierarchie:
   //
   // Ergebnis (abstrakt)
   //   |
   //   +--- ErgAllesOk
   //   |
   //   +--- ErgFalscheKlammer
   //   |
   //   +--- ErgKlammernFehlen
   //
   // Die Methode pruefeKlammern hat den Rueckgabetyp Ergebnis (und
   // liefert jeweils ein Objekt einer konkreten Unterklasse von Ergebnis).
   // Jede der Unterklassen definiert "eine sinnvolle toString-Methode".

   // -------------------------------------
   static public abstract class Ergebnis {}
   // -------------------------------------
   static public class ErgAllesOk        extends Ergebnis {
      // Fuer den Fall dass alle Klammern richtig gepaart sind.

      public String toString() {
         return "ABC"; // SOLLTE ERSETZT WERDEN
      } // toString
   } // class ErgAllesOk
   // -------------------------------------
   static public class ErgFalscheKlammer extends Ergebnis {
      // Fuer den Fall, dass eine schliessende Klammer nicht zur
      // zuletzt geoeffneten Klammer passt (oder alle geoeffneten
      // Klammern schon geschlossen sind).
      public char falscheKlammer;
      public int  zeilenNr;
      public int  spaltenNr;

      public ErgFalscheKlammer(char fk, int  zNr, int  sNr) {
         // HIER SOLLTEN EIN PAAR BEFEHLE EINGEFUEGT WERDEN
      } // Konstruktor ErgFalscheKlammer

      public String toString() {
         return "DEF"; // SOLLTE ERSETZT WERDEN
      } // toString
   } // class ErgFalscheKlammer
   // -------------------------------------
   static public class ErgKlammernFehlen extends Ergebnis {
      // Fuer den Fall, dass am Ende einer Datei eine oder mehrere
      // schliessende Klammern fehlen.
      public Stack<Character> stapel;

      public ErgKlammernFehlen(Stack<Character> cs) {
         // HIER SOLLTE MIND. EIN BEFEHL EINGEFUEGT WERDEN
      } // Konstruktor ErgKlammernFehlen

      public String toString() {
         return "GHI"; // SOLLTE ERSETZT WERDEN
      } // toString
   } // class ErgKlammernFehlen
   // ---------------------------------------------------------------------
   static public void main(String[] _) throws IOException {
      printf("---------------------------------------------%n");
      printf("Die Klasse   KlammernPruefen    kann man mit %n" +
             "dem Programm KlammernPruefenTst und mit      %n" +
             "dem Programm KlammernPruefenJut testen!      %n"
            );
      printf("---------------------------------------------%n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class KlammernPruefen
