// Datei KlammernPruefenTst.java
/* ------------------------------------------------------------------------
Ein kleines Testprogramm zum Testen der Klasse KlammernPruefen.
------------------------------------------------------------------------ */
import java.io.FileReader;
import java.io.IOException;

class KlammernPruefenTst {
   // ---------------------------------------------------------------------
   static public void main(String[] _) throws IOException {
      printf("KlammernPruefenTst: Jetzt geht es los!%n");

      // Die Pfadnamen aller Dateien, die geprueft werden sollen:
      String[] pfadR = {
         "Klammern1.ein",
         "Klammern2.ein",
         "Klammern3.ein",
         "Klammern4.ein",
         "KlammernPruefen.java",
         "xxx.yyy",               // Absichtlich falscher Dateiname
      };

      try {
         for (String pfad : pfadR) {
            printf("----------------------------------------%n");
            FileReader                fr  = new FileReader(pfad);
            ColumnNumberReader        cr  = new ColumnNumberReader(fr);
            KlammernPruefen           kp  = new KlammernPruefen();
            KlammernPruefen.Ergebnis  erg = kp.pruefeKlammern(cr);
            printf("%s%n", erg.toString());
         }
      } catch (IOException ioex) {
         printf("IOException in KlammernPruefenTst:%n");
         printf("Typ: %s%n", ioex.getClass().getName());
         printf("Msg: %s%n", ioex.getMessage());
      } // try/catch

      printf("----------------------------------------%n");
      printf("KlammernPruefenTst: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class KlammernPruefenTst
/* ------------------------------------------------------------------------
Ausgabe:

KlammernPruefenTst: Jetzt geht es los!
----------------------------------------
Geprueft wird die Datei Klammern1.ein:
Alle Klammern sind ok!
----------------------------------------
Geprueft wird die Datei Klammern2.ein:
Klammer falsch: ], Zeile 5, Spalte 13
----------------------------------------
Geprueft wird die Datei Klammern3.ein:
Am Ende fehlen Klammern: ])}]]
----------------------------------------
Geprueft wird die Datei Klammern4.ein:
Klammer falsch: ], Zeile 4, Spalte 33
----------------------------------------
Geprueft wird die Datei KlammernPruefen.java:
Alle Klammern sind ok!
----------------------------------------
IOException in KlammernPruefenTst:
Typ: java.io.FileNotFoundException
Msg: xxx.yyy (Das System kann die angegebene Datei nicht finden)
----------------------------------------
KlammernPruefenTst: Das war's erstmal!
------------------------------------------------------------------------ */
