// Datei LineNumberReader01.java
/* ------------------------------------------------------------------
Dieses Programm zeigt:
Die Methode getLineNumber eines LineNumberReader-Objekts liefert
immer die Nr der Zeile, die als naechstes gelesen wird (nicht die
Nr der zuletzt gelesenen Zeile).
------------------------------------------------------------------ */
import java.io.Reader;
import java.io.LineNumberReader;
import java.io.IOException;
import java.io.FileReader;

class LineNumberReader01 {
   // ---------------------------------------------------------------
   static public void main(String[] _) {
      // Die Quelldatei LineNumberReader01.java dieses Programms wird
      // mit einem FileReader- und einem LineNumberReader-Objekt
      // zeilenweise gelesen. Vor und nach den Lesen einer Zeile
      // wird die Zeilen-Nr ermittelt (mit getLineNumber). Die
      // Zeile wird zwischen diesen beiden Zeilen-Nrn. ausgegeben.
      //
      // Nachdem die Zeile mit der Nr. 9 ausgegeben wurde, wird die
      // Zeilen-Nr. auf 21 gesetzt (mit setLineNumber), so dass die
      // naechste Zeile die Nr. 21 bekommt (nicht 10).

      try {
         String           pfad = "LineNumberReader01.java";
         FileReader       fr   = new FileReader(pfad);
         LineNumberReader lnr  = new LineNumberReader(fr);
         while (true) {
            int    lNrA = lnr.getLineNumber();
            String line = lnr.readLine();
            if (line == null) break;
            int    lNrB = lnr.getLineNumber();
            printf("%2d %-69s %2d%n", lNrA, line, lNrB);
            if (lNrA == 9) lnr.setLineNumber(21); // Aktuelle zNr
         }                                        // veraendern
      } catch (Exception ex) {
         printf("Ausnahme:%n");
         printf("%s%n", ex.toString());
      }
   } // main
   // ---------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {
      System.out.printf(f, v);
   } // printf
   // ---------------------------------------------------------------
} // class LineNumberReader01
