// Datei VereinigungJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm (JUnit Version 3.8) zum Testen
der Methode namens "vereinigung" in    (siehe Konstante methodenName) in
der Klasse  namens "UebSchleifen3Loes" (siehe Konstante  klassenName).

Die Methode sollte eine oeffentliche Klassenmethode (public static) sein.
Falls die Methode oder die Klasse anders heissen, kann man die Initiali-
sierung der Konstanten methodenName bzw. klassenName entsprechend aendern.
------------------------------------------------------------------------ */
public class VereinigungJut extends AbstrakterMethodenTest {
   // ---------------------------------------------------------------------
   // Genaue Beschreibung der zu testenden Methode M:
   // Voller Name der Klasse, in der M vereinbart wurde:
   static final String     klassenName  = "UebSchleifen3Loes";
   // Name der Methode M:
   static final String     methodenName = "vereinigung";
   // Die Typen der Parameter von M (als Class-Objekte):
   static final Class<?>[] paramTypen   = {
      int[].class,  // Typ des 1. Parameters
      int[].class,  // Typ des 2. Parameters
   };
   // ---------------------------------------------------------------------
   public VereinigungJut() {
      // Der (einzige) Konstruktor der Klasse AbstrakterMethodenTest
      // wird mit der genauen Beschreibung der zu testenden Methode M
      // aufgerufen:
      super(
         klassenName,
         methodenName,
         paramTypen
      );
   } // Konstruktor VereinigungJut
   // ---------------------------------------------------------------------
   public void test01() {
      checkOneCall(
         new int[]{},   // Soll-Ergebnis
         new int[]{},   // Param 1
         new int[]{}    // Param 2
      );
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      checkOneCall(
         new int[]{10},
         new int[]{10},
         new int[]{}
      );
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      checkOneCall(
         new int[]{10},
         new int[]{},
         new int[]{10}
      );
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      checkOneCall(
         new int[]{10},
         new int[]{10},
         new int[]{10}
      );
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      checkOneCall(
         new int[]{10, 20},
         new int[]{20},
         new int[]{10}
      );
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      checkOneCall(
         new int[]{10, 20},
         new int[]{20, 10},
         new int[]{10, 20}
      );
   } // test06
   // ---------------------------------------------------------------------
   public void test07() {
      checkOneCall(
         new int[]{10, 20, 30, 40, 50},
         new int[]{10, 20, 30, 40},
         new int[]{20, 30, 40, 50}
      );
   } // test07
   // ---------------------------------------------------------------------
   public void test08() {
      checkOneCall(
         new int[]{10, 20, 30, 40, 60, 70},
         new int[]{10, 20, 30, 40},
         new int[]{30, 60, 70}
      );
   } // test08
   // ---------------------------------------------------------------------
   public void test09() {
      checkOneCall(
         new int[]{10, 20, 30, 40, 50},
         new int[]{10, 20, 30, 40},
         new int[]{50}
      );
   } // test09
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      printf("VereinigungJut: Jetzt geht es los!%n");
      junit.awtui.TestRunner.run(VereinigungJut.class);
      printf("-----------------------------------------------------%n");
      printf("Getestet wurde die Methode %s%n", methodenName);
      printf("in der Klasse %s%n", klassenName);
      printf("-----------------------------------------------------%n");

      printf("VereinigungJut: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
} // class VereinigungJt02
